#
# spec file for package pam-test
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pam-test
Version:        0.0+git.20191111
Release:        1.5
Summary:        Test of a PAM stack for authentication and password change
License:        GPL-2.0-only
URL:            https://github.com/pbrezina/pam-test
Source:         %{name}-%{version}.tar.gz
BuildRequires:  pam-devel

%description
This application can be used to test a PAM stack for authentication and
password change.

%prep
%autosetup

%build
cc %{optflags} -o pam_test src/main.c -lpam -lpam_misc

%install
install -Dpm 0755 pam_test \
  %{buildroot}%{_bindir}/pam_test

%files
%doc README.md
%license COPYING
%{_bindir}/pam_test

%changelog
* Wed Jun 21 2023 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.0+git.20191111:
  * Add license information so it can be safely reused
* Mon Nov 11 2019 Martin Pluskal <mpluskal@suse.com>
- Initial package for version 0.0+git.20161214:
